Update an existing RSVP
curl --request PATCH \
--url https://api.mn.co/admin/v1/networks/{network_id}/events/{event_id}/rsvps/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"member_id": 123,
"status": "yes",
"instance_at": "2025-03-15T14:00:00Z"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/events/{event_id}/rsvps/{id}/"
payload = {
"member_id": 123,
"status": "yes",
"instance_at": "2025-03-15T14:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({member_id: 123, status: 'yes', instance_at: '2025-03-15T14:00:00Z'})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/events/{event_id}/rsvps/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"updated": "2026-08-13T00:16:15+00:00",
"status": "<string>",
"event": {
"id": "1234",
"created_at": "2026-08-13T00:16:13+00:00",
"updated_at": "2026-08-13T00:16:13+00:00",
"post_type": "<string>",
"space_id": 123,
"creator_id": 123,
"title": "<string>",
"summary": "<string>",
"event_type": "<string>",
"starts_at": "<string>",
"time_zone": "<string>",
"rsvp_enabled": true,
"rsvp_closed": true,
"restricted_event": true,
"post_in_feed": true,
"creator": {
"id": "1234",
"created_at": "2026-08-13T00:16:13+00:00",
"updated_at": "2026-08-13T00:16:13+00:00",
"email": "ada.lovelace@example.com",
"member_type": "<string>",
"permalink": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"location": "<string>",
"bio": "<string>",
"referral_count": 123,
"avatar": "<string>",
"categories": "<string>",
"ambassador_level": "<string>"
},
"space": {
"id": "1234",
"created_at": "2026-08-13T00:16:13+00:00",
"updated_at": "2026-08-13T00:16:13+00:00",
"name": "<string>",
"collection_id": 123
},
"permalink": "<string>",
"ends_at": "<string>",
"location": "<string>",
"frequency": "<string>",
"interval": 123,
"images": [
"<string>"
]
},
"member": {
"id": "1234",
"created_at": "2026-08-13T00:16:13+00:00",
"updated_at": "2026-08-13T00:16:13+00:00",
"email": "ada.lovelace@example.com",
"member_type": "<string>",
"permalink": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"location": "<string>",
"bio": "<string>",
"referral_count": 123,
"avatar": "<string>",
"categories": "<string>",
"ambassador_level": "<string>"
},
"event_instance": {
"post_id": 123,
"starts_at": "2026-08-13T00:16:15+00:00",
"ends_at": "2026-08-13T00:16:15+00:00",
"instance_index": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Rsvps
Update an existing RSVP
PATCH
/
admin
/
v1
/
networks
/
{network_id}
/
events
/
{event_id}
/
rsvps
/
{id}
/
Update an existing RSVP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the event
ID of the RSVP
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
application/json
Submit results as JSON
Request to create or update an RSVP
Response
The updated RSVP object
An RSVP for an event
The record's integer ID
Example:
"1234"
The last updated timestamp
Example:
"2026-08-13T00:16:15+00:00"
The RSVP status: yes, maybe, or no
The event being RSVPed to
Show child attributes
Show child attributes
The member who set the RSVP
Show child attributes
Show child attributes
The specific event instance for recurring events
Show child attributes
Show child attributes
⌘I